# Uses of Class
com.fasterxml.jackson.annotation.ObjectIdGenerator.IdKey

## Uses of ObjectIdGenerator.IdKey in com.fasterxml.jackson.annotation

Fields in com.fasterxml.jackson.annotation with type parameters of type ObjectIdGenerator.IdKey
Modifier and Type
Field
Description
`protected Map<ObjectIdGenerator.IdKey,Object>`
SimpleObjectIdResolver.`_items`
Methods in com.fasterxml.jackson.annotation that return ObjectIdGenerator.IdKey
Modifier and Type
Method
Description
`abstract ObjectIdGenerator.IdKey`
ObjectIdGenerator.`key(Object key)`
Method for constructing key to use for ObjectId-to-POJO maps.
`ObjectIdGenerator.IdKey`
ObjectIdGenerators.IntSequenceGenerator.`key(Object key)`
`ObjectIdGenerator.IdKey`
ObjectIdGenerators.StringIdGenerator.`key(Object key)`
`ObjectIdGenerator.IdKey`
ObjectIdGenerators.UUIDGenerator.`key(Object key)`
Methods in com.fasterxml.jackson.annotation with parameters of type ObjectIdGenerator.IdKey
Modifier and Type
Method
Description
`void`
ObjectIdResolver.`bindItem(ObjectIdGenerator.IdKey id, Object pojo)`
Method called when a POJO is deserialized and has an Object Identifier.
`void`
SimpleObjectIdResolver.`bindItem(ObjectIdGenerator.IdKey id, Object ob)`
`Object`
ObjectIdResolver.`resolveId(ObjectIdGenerator.IdKey id)`
Method called when deserialization encounters the given Object Identifier and requires the POJO associated with it.
`Object`
SimpleObjectIdResolver.`resolveId(ObjectIdGenerator.IdKey id)`